﻿.transparent-header nav.navbar .navbar-nav .nav-link {
    color: #000000;
}

.main-header.transparent-header.top-header svg {
    fill: #000000;
}

.main-header.transparent-header.top-header .icon-account {
    stroke: #000000;
}

.main-header.transparent-header.top-header {
    background-color: white;
}

.main-header.top-header .brand {
    display: none
}

@media (max-width: 768px) {
    .zx2 {
        font-size: 20px
    }
}

@media (min-width: 1200px) {
    .zx {
        font-size: 30px
    }
}

@media (max-width: 1199.98px) {
    .collapsible-md .title {
        background: unset
    }
}

.main-wrapper {
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 20px;
    display: flex; /* این خط سایدبار و محتوا رو کنار هم می‌چینه */
    gap: 30px; /* فاصله بین ستون اصلی و سایدبار */
}

.content-area {
    flex: 3; /* ۳ قسمت از فضا رو می‌گیره (بیشتر) */
    background: #fff;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.05);
    direction: rtl;
    text-align: right;
}

.sidebarr {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.widget {
    background: #fff;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.05);
    direction: rtl;
    text-align: right;
}

    .widget h3 {
        margin-top: 0;
        font-size: 1.2rem;
        color: #2c3e50;
        border-bottom: 2px solid #cfccc7; /* خط طلایی برای حس لوکس */
        padding-bottom: 10px;
        margin-bottom: 15px;
    }

    .widget ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

        .widget ul li {
            margin-bottom: 10px;
            border-bottom: 1px solid #eee;
            padding-bottom: 5px;
        }

            .widget ul li:last-child {
                border-bottom: none;
            }

            .widget ul li a {
                text-decoration: none;
                color: #555;
                transition: 0.3s;
                display: block;
            }

                .widget ul li a:hover {
                    color: #d4af37; /* رنگ طلایی هنگام هاور */
                    padding-right: 5px;
                }

h1 {
    margin-bottom: 25px;
    color: #2c3e50;
}

.meta-info {
    color: #777;
    font-size: 0.9rem;
    margin-bottom: 20px;
}

.featured-image {
    width: 100%;
    height: auto;
    border-radius: 10px;
    margin-bottom: 20px;
}

.content p {
    margin-bottom: 15px;
    text-align: justify;
}

.share-buttons {
    margin-top: 30px;
    display: flex;
    gap: 10px;
}

@media (max-width: 768px) {
    .main-wrapper {
        flex-direction: column; /* ستون‌ها زیر هم قرار می‌گیرن */
    }

    .content-area, .sidebar {
        flex: none; /* اندازه‌ها رو آزاد می‌کنه */
        width: 100%;
    }

    .content-area {
        padding: 20px;
    }
}
